## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate half

Name:           rust-half1
Version:        1.8.3
Release:        %autorelease
Summary:        Half-precision floating point f16 and bf16 types for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/half
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused zerocopy feature (missing dependencies)
# * drop unused benchmark-only criterion dependency
Patch:          half-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Half-precision floating point f16 and bf16 types for Rust implementing
the IEEE 754-2008 standard binary16 and bfloat16 types.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages which
use the "num-traits" feature of the "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-intrinsics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-intrinsics-devel %{_description}

This package contains library source intended for building other packages which
use the "use-intrinsics" feature of the "%{crate}" crate.

%files       -n %{name}+use-intrinsics-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that fail with Rust 1.75+ when built in release mode:
#   https://github.com/starkat99/half-rs/issues/103
%cargo_test -- -- --exact --skip bfloat::test::test_nan_conversion_to_larger --skip bfloat::test::test_nan_conversion_to_smaller --skip binary16::test::test_nan_conversion_to_larger --skip binary16::test::test_nan_conversion_to_smaller
%endif

%changelog
## START: Generated by rpmautospec
* Wed Oct 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.8.3-1
- Update to version 1.8.3

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jan 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.8.2-2
- Skip tests that fail with Rust 1.75+ when built in release mode

* Sun Oct 15 2023 Fabio Valentini <decathorpe@gmail.com> - 1.8.2-1
- Initial import (half 1 compat package)
## END: Generated by rpmautospec
